<template>
    <Add v-if="condition==='addBrand'" @sent="selectCondition"/>
    <BrandView v-else-if="condition==='brandView'" @sent="selectCondition" @edit="editCondition"/>
    <EditBrand v-else-if="condition==='editBrand'" :brand="info" @sent="selectCondition"/>
</template>

<script>
    import Add from "./Add";
    import EditBrand from "./EditBrand";
    import BrandView from "./BrandView";
    export default {
        data(){
            return {
                condition :'brandView',
                info:'',
            };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='editBrand';
                this.info=object;
                //console.log(object);
            },
        },
        components:{Add,BrandView,EditBrand}
    }
</script>
